> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/budget/versions/{versionId}/archive
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/budget/versions/{versionId}/archive:
    post:
      tags:
        - Project Budget Versions
      summary: Archive
      operationId: ProjectBudgetVersionsController_archive_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: versionId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectBudgetVersionResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectBudgetVersionResponseDto:
      type: object
      properties:
        id:
          type: string
        number:
          type: number
        note:
          type:
            - string
            - 'null'
        releasedAt:
          format: date-time
          type: string
        releasedBy:
          $ref: '#/components/schemas/ProjectBudgetVersionActorResponseDto'
        archivedAt:
          format: date-time
          type:
            - string
            - 'null'
        summary:
          $ref: '#/components/schemas/ProjectBudgetVersionSummaryResponseDto'
      required:
        - id
        - number
        - note
        - releasedAt
        - releasedBy
        - archivedAt
        - summary
    ProjectBudgetVersionActorResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    ProjectBudgetVersionSummaryResponseDto:
      type: object
      properties:
        ceiling:
          type:
            - string
            - 'null'
        targetMarginPct:
          type:
            - string
            - 'null'
        envelope:
          type:
            - string
            - 'null'
        hard:
          type:
            - string
            - 'null'
        allocated:
          type:
            - string
            - 'null'
        unallocated:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.